#pragma once

#include "ActorInterface.h"
#include "WASCommand.h"
#include "WASActor.h"

class CWASSetUserProfile : public CWASCommand
{
public:
	CWASSetUserProfile(CWASActor *pActor);
	~CWASSetUserProfile(void);

	void ExecuteAsync(void);

	void SetParameter(const P_GT_USER_PROFILE_DATA &sDataPrivate)
	{
		m_sUserProfile = sDataPrivate;
	}

private:
	bool ParseAndEventFire(nfc::CIkXMLDom * pDom);

protected:
	// override in drived class
	virtual void OnWasResponse(trid_t /*trid*/, bool /*bSuccess*/, int /*nWinINetErrorCode*/, int /*nHttpResponseCode*/, 
		LPCSTR /*szWasResCodeInHeader*/, 
		LPCSTR /*szWasResCodeInXml*/,
		nfc::CIkXMLDom * /*pDom*/);

	virtual void OnRequestTimeout(CHttpFacade * /*pHttpF*/, DWORD /*dwSeconds*/);

private:


	P_GT_USER_PROFILE_DATA m_sUserProfile;
};
